Audio models
Проверить статус синтеза
POST
/
v1
/
audio
/
fetch
Проверить статус синтеза
curl --request POST \
--url https://api.nixai.ru/v1/audio/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"
}
'import requests
url = "https://api.nixai.ru/v1/audio/fetch"
payload = { "id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'})
};
fetch('https://api.nixai.ru/v1/audio/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.nixai.ru/v1/audio/fetch';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nixai.ru/v1/audio/fetch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nixai.ru/v1/audio/fetch"
payload := strings.NewReader("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nixai.ru/v1/audio/fetch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nixai.ru/v1/audio/fetch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}"
response = http.request(request)
puts response.read_body$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.nixai.ru/v1/audio/fetch' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"
}'import Foundation
let parameters = ["id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.nixai.ru/v1/audio/fetch")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.nixai.ru/v1/audio/fetch");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.nixai.ru/v1/audio/fetch");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'})
};
fetch('https://api.nixai.ru/v1/audio/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.nixai.ru/v1/audio/fetch");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.nixai.ru/v1/audio/fetch");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}")
val request = Request.Builder()
.url("https://api.nixai.ru/v1/audio/fetch")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falsefalse{
"task_id": "<string>",
"status": "processing",
"progress": 50,
"files": [
{
"kind": "result",
"url": "<string>",
"type": "audio/mpeg",
"duration": 123,
"bytes": 123
}
],
"service_files": [
"<unknown>"
],
"data": null,
"credits": 123,
"error": "<string>",
"message": "<string>"
}Authorizations
Заголовок вида Bearer <ваш API-ключ>.
Body
application/json
task_id
Example:
"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"
Was this page helpful?
⌘I
Проверить статус синтеза
curl --request POST \
--url https://api.nixai.ru/v1/audio/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"
}
'import requests
url = "https://api.nixai.ru/v1/audio/fetch"
payload = { "id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'})
};
fetch('https://api.nixai.ru/v1/audio/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.nixai.ru/v1/audio/fetch';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nixai.ru/v1/audio/fetch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nixai.ru/v1/audio/fetch"
payload := strings.NewReader("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nixai.ru/v1/audio/fetch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nixai.ru/v1/audio/fetch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}"
response = http.request(request)
puts response.read_body$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.nixai.ru/v1/audio/fetch' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"
}'import Foundation
let parameters = ["id": "3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.nixai.ru/v1/audio/fetch")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.nixai.ru/v1/audio/fetch");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.nixai.ru/v1/audio/fetch");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c'})
};
fetch('https://api.nixai.ru/v1/audio/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.nixai.ru/v1/audio/fetch");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.nixai.ru/v1/audio/fetch");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"id\": \"3f2a1c9e-8b4d-4e1f-9c2a-7d6e5f4a3b2c\"\n}")
val request = Request.Builder()
.url("https://api.nixai.ru/v1/audio/fetch")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falsefalse{
"task_id": "<string>",
"status": "processing",
"progress": 50,
"files": [
{
"kind": "result",
"url": "<string>",
"type": "audio/mpeg",
"duration": 123,
"bytes": 123
}
],
"service_files": [
"<unknown>"
],
"data": null,
"credits": 123,
"error": "<string>",
"message": "<string>"
}